### Method

# Fwupd Report set_distro_variant

since: 1.8.8

#### Declaration [src]

    void
    fwupd_report_set_distro_variant (
      FwupdReport* self,
      const gchar* distro_variant
    )

#### Description [src]

Sets the distribution variant.

Available since: 1.8.8

#### Parameters

`distro_variant`

  Type: `const gchar*`

  The variant, e.g. `workstation`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.